package com.bailuntec.service.impl;

import com.bailuntec.domain.entity.DcAutoTurnoverWithBLOBs;
import com.bailuntec.mapper.DcAutoTurnoverMapper;
import com.bailuntec.service.AutoTurnoverService;
import com.bailuntec.utils.SessionUtil;
import org.junit.jupiter.api.Test;


/**
 * <p>
 *
 * </p>
 *
 * @author robbendev
 * @since 2020/8/13 4:10 下午
 */

class AutoTurnoverServiceImplTest {


    @Test
    void setAutoTurnoverSaleDetails() {
        try {
            DcAutoTurnoverMapper dcAutoTurnoverMapper = SessionUtil.getSession().getMapper(DcAutoTurnoverMapper.class);

            AutoTurnoverService autoTurnoverService = new AutoTurnoverServiceImpl();

            DcAutoTurnoverWithBLOBs dcAutoTurnover = dcAutoTurnoverMapper.selectByPrimaryKey(58845);
//            autoTurnoverService.setAutoTurnoverSaleDetails(dcAutoTurnover,dcAutoTurnover.getTurnoverDays(),dcAutoTurnover.getTurnoverDays());
            System.out.println(dcAutoTurnover.getSalesDetails());
            System.out.println(dcAutoTurnover.getSalesDetailsFormula());
        } finally {
            SessionUtil.closeSession();
        }

    }
}
